/*
 * Custom styles 
 */

 @font-face {
  font-family: "Exolight";
  src: url(exo/Exo-Light.otf) format("truetype");
}

@font-face {
  font-family: "Exo";
  src: url(exo/Exo-Regular.otf) format("truetype");
}

@font-face {
  font-family: "Exoxlight";
  src: url(exo/Exo-ExtraLight.otf) format("truetype");
}
div {
  font-family: Exoxlight;
}
.mail, .Face{
  transform: scale(0.9);
}
.mail:hover, .Face:hover{
  transform: scale(1.2) rotate(-15deg);
}
.ytvideo{
  width: 100%;
  height: 91%;
}
.textHighlight{
  color: white;
  text-shadow: -2px 0 black, 0 2px black, 2px 0 black, 0 -2px black;
}

/* FLEX */

.flexcenter{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 0px;
}
.flexeven{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    gap: 10px;
}
.test1{
    width: 800px;
    height: 450px;
    /*background-color: red;*/
    margin: auto;
}
.opgTitle{
  color: white;
  text-shadow: -2px 0 black, 0 2px black, 2px 0 black, 0 -2px black;
  /*text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;*/
  font-size: 36px;
}
.opgButton{
  text-decoration: none;
  background-color: rgba(0,0,0,0);
  border: none;
  width: 60px;;
  height: 60px;;
  transition: transform .2s;
  background-size: 60px;
  cursor: pointer;
}
.leftButton{
  background-image: url("billeder/pilv.png");
}
.rightButton{
  background-image: url("billeder/pilh.png");
}
.opgButton:hover{
  transform: scale(1.2);
}
.flexcontainer{
  margin-bottom: 75px;
}

/* FLEX */

/* NAVBAR  */

@import url(https://fonts.googleapis.com/css?family=Raleway);
h2 {
  vertical-align: center;
  text-align: center;
}

html, body {
  margin: 0;
  height: 100%;
}

* {
  /*font-family: "Raleway";*/
  box-sizing: border-box;
}

.top-nav {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  background-color: #00BAF0;
  /*background: linear-gradient(to left, #f46b45, #eea849);*/
  /*background-color: rgba(255,255,255,0.8);/* light mode */
  /*background-color: rgba(50,50,50,.7);/* grey mode */
  /*background-color: rgba(0,0,0,.5);/* dark mode */
  background-color: rgba(20,20,20,.8);/* dark mode 2 */
  /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
  color: #000;
  height: 50px;
  padding: 1em;
  position: fixed;
  z-index: 1;
  width: 100%;
}

.menu {
  display: flex;
  flex-direction: row;
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.menu > li {
  margin: 0 1rem;
}

.menu-button-container {
  display: none;
  height: 100%;
  width: 30px;
  cursor: pointer;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#menu-toggle {
  display: none;
}

.menu-button,
.menu-button::before,
.menu-button::after {
  display: block;
  background-color: #000;
  position: absolute;
  height: 4px;
  width: 30px;
  transition: transform 400ms cubic-bezier(0.23, 1, 0.32, 1);
  border-radius: 2px;
}

.menu-button::before {
  content: '';
  margin-top: -8px;
}

.menu-button::after {
  content: '';
  margin-top: 8px;
}

#menu-toggle:checked + .menu-button-container .menu-button::before {
  margin-top: 0px;
  transform: rotate(135deg)
  /*transform: rotate(45deg);
  transform: rotate(405deg);*/
}

#menu-toggle:checked + .menu-button-container .menu-button {
  background: rgba(255, 255, 255, 0);
}

#menu-toggle:checked + .menu-button-container .menu-button::after {
  margin-top: 0px;
  transform: rotate(-135deg)
  /*transform: rotate(-45deg);
  transform: rotate(-405deg);*/
}

.top-nav > .flexeven > li{
  list-style-type: none;
  z-index: 1;
}
.menu{
  font-family: "Exo";
}
.menu > .IconScale > a{
  text-decoration: none;
  color: black;
  transition: color .5s, text-shadow .5s;
  color: white;
  /*text-shadow: -2px 0 black, 0 2px black, 2px 0 black, 0 -2px black;*/
  text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
  font-size: 20px;
}
.menu > .IconScale > a:hover{
  color: #d35400;
  text-shadow: -2px 0 rgba(0,0,0,0), 0 2px rgba(0,0,0,0), 2px 0 rgba(0,0,0,0), 0 -2px rgba(0,0,0,0);
  
}

video{
  /*width: 100%; */
  width: 109%; 
  display:block; 
  position: fixed;
}
/* Everything not full hd */
@media screen and (max-width: 1919px) {
    
  .tooltip1.profilepic .tooltiptext1{
    visibility: hidden;
  }

  .AllSkillsLink, .PortfolioLink{
    display: none !important;
  }

}
@media (min-width: 1401px) {
  .fadeIn{
    width: 80% !important;
    /*height: 100% !important;*/
  }
  .flexcontainer{
    height: 800px !important;
  }
}
@media (max-width: 1500px) {
  video{
    width: 140%;
  }
}
@media (max-width: 1200px) {
  video{
    width: 180%;
  }
}
@media (max-width: 1046px) {
  /* .AllSkillsLink, .PortfolioLink{
    display: none !important;
  } */
}
@media (max-width: 900px) {
  video{
    width: 250%;
  }
}
@media (max-width: 750px) {
  .section1 .tooltip1:hover .tooltiptext1, .section1 .tooltiptext1{
    display: none;
  }
}
@media (max-width: 700px) {
  video{
    /*width: 320%;*/
    width: 331%;
  }
  h1{
    font-size: 36px !important;
  }
}
@media (max-width: 524px){
  .opgTitle{
    display: none !important;
  }
}
@media (max-width: 500px) {
  video{
    /*width: 450%;*/
    width: 200vh;
  }
}
@media (max-width: 404px) {
  .section4 .tooltip1:hover .tooltiptext1, .section4 .tooltiptext1{
    display: none;
  }
}



@media (min-width: 901px) and (max-width: 1400px) {
  .fadeIn{
    width: 80% !important;
    /*height: 600px !important;*/
    animation: fadeI 1s !important;
  }
  .flexcontainer{
    height: 600px !important;
  }
}

@media (max-width: 900px) {
    .fadeIn{
      /*width: 600px !important;*/
      /*animation: fadeInSmall 1s !important;*/
    }
    .fadeOut{
      /*animation: fadeOutSmall .5s !important;*/
    }
    .flexcontainer{
      height: 600px !important;
    }
    .opgTitle{
      font-size: 22px;
      text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
    }
    .opgButton {
      width: 50px;
      height: 50px;
      background-size: 50px;
    }
    

    .PortfolioLink, .AllSkillsLink{
      font-size: 40px;
    }
}
@media (max-width: 700px) {
  
  .AllSkillsLink{
    display: none;
  }
  .PortfolioLink{
    margin: 40px 0 20px 0;
    transition: none;
    transform: none;
    
  }
  .PortfolioLink:hover{
    transition: none;
    transform: none;
    
  }
  .PortfolioLink, .AllSkillsLink{
    font-size: 40px;
  }

  .fadeIn{
    /*width: 400px !important;*/
    /*animation: fadeInTiny 1s !important;*/
  }
  .fadeOut{
    /*animation: fadeOutTiny .5s !important;*/
  }
  .flexcontainer{
    height: 400px !important;
  }

  .menu > .IconScale{
    transform: scale(1);
  }
  .menu > .IconScale:hover{
    transform: scale(1);
  }
  .menu > .IconScale a{
    transform: scale(1);
    transition: all ease .5s;
  }
  .menu > .IconScale a:hover{
    transform: scale(1.2);
  }
  
  .menu > .IconScale > a{
    text-decoration: none;
    transition: all ease .5s;
    width: 100%;
    font-size: 20px;
  }
  .menu > .IconScale > a:hover{
    color: #d35400;
    text-shadow: none;
  }

  .menu-button-container {
    display: flex;
  }
  .menu {
    position: absolute;
    top: 0;
    margin-top: 50px;
    left: 0;
    flex-direction: column;
    width: 100%;
    justify-content: center;
    align-items: center;
    background-color: rgba(255,255,255,0.8);
  }

  /* menu stuff */
  #menu-toggle ~ .menu li {
    opacity: 0;
    transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1), opacity 400ms cubic-bezier(0.23, 1, 0.32, 1), font-size .5s;
    height: 0;
    font-size: 0;
    /*border-top: 1px solid #FFF;*/
  }
  #menu-toggle:checked ~ .menu li {
    /*border-bottom: 1px solid #FFF;*/
    height: 2.5em;
    padding: 0.5em;
    opacity: 1;
    font-size: 14px;
  }
  #menu-toggle:checked ~ .menu li:first-child {
    /*border-top: 1px solid #FFF;*/
  }

  .menu > li {
    display: flex;
    justify-content: center;
    margin: 0;
    padding: 0.5em 0;
    width: 100%;
    color: rgba(0,0,0,.8);
    /*background-color: rgba(255,255,255,.8);*/
    /*color: white;
    background-color: #222;*/
  }
  .menu > li:not(:last-child) {
    /*border-bottom: 1px solid #444;*/
  }
}

/* NAVBAR  */

/*opgaver*/

.fadeIn{
  animation: fadeI 1s;
  opacity: 1;
  width: 80%;
  height: 100%;
  /*transition: opacity .5s, width .5s, height .5s;*/
  z-index: 1;
  position: relative;
  /* lav keyframe som transitioner opacity, naar opacity er 0 display=block og delay fadeout med .5s*/
}
.fadeOut{
  /*opacity: 0;
  width: 0;
  height: 0;*/
  /*transition: opacity .5s, width .5s, height .5s;*/
  animation: fadeO .5s;
  opacity: 0;
  width: 0;
  height: 0;
}

@keyframes slideIn {
  0% { opacity: 1; width: 800px; height: 450px;}
  100% { opacity: 0; width: 0; height: 0;}
}
@keyframes slideOut {
  0% { opacity: 0; width: 0; height: 0;}
  50% { opacity: 0; width: 0; height: 0;}
  100% { opacity: 1; width: 800px; height: 450px;}
}
@keyframes fadeO {
  0% { opacity: 1; width: 80%; height: 100%;}
  99% { opacity: 0; width: 80%; height: 100%;}
  100% { opacity: 0; width: 0; height: 0;}
}
@keyframes fadeI {
  0% { opacity: 0; width: 0; height: 0;}
  50% { opacity: 0; width: 0; height: 0;}
  51% { opacity: 0; width: 80%; height: 100%;}
  100% { opacity: 1; width: 80%; height: 100%;}
}/*
@keyframes fadeOutSmall {
  0% { opacity: 1; width: 600px; height: 100%;}
  99% { opacity: 0; width: 600px; height: 100%;}
  100% { opacity: 0; width: 0; height: 0;}
}
@keyframes fadeInSmall {
  0% { opacity: 0; width: 0; height: 0;}
  50% { opacity: 0; width: 0; height: 0;}
  51% { opacity: 0; width: 600px; height: 100%;}
  100% { opacity: 1; width: 600px; height: 100%;}
}
@keyframes fadeOutTiny {
  0% { opacity: 1; width: 400px; height: 100%;}
  99% { opacity: 0; width: 400px; height: 100%;}
  100% { opacity: 0; width: 0; height: 0;}
}
@keyframes fadeInTiny {
  0% { opacity: 0; width: 0; height: 0;}
  50% { opacity: 0; width: 0; height: 0;}
  51% { opacity: 0; width: 400px; height: 100%;}
  100% { opacity: 1; width: 400px; height: 100%;}
}*/


/*opgaver*/

/*Generelt*/
html{
    scroll-behavior:smooth;
}

body{
    text-align: center;
    /*background: linear-gradient(to right, #27ae60 , #2980b9);*/
    cursor: default;
    opacity: 0;
    animation: fadeIn 1s linear 1s;
    animation-fill-mode: forwards;
    margin: 0;
}

.footer{
    padding: 10px 0px;
    padding-bottom: 5px;
    background-color: rgba(0,0,0,.5);
    position: relative;
}

p{
    font-family: "Exo";
    font-size: larger;
}

body .danish{
    /*opacity: 0;*/
    opacity: 1;
    display: none;
}
.danish.iconscale a{
    /*color: black !important;
    text-shadow: 0 !important;*/
    color: white; 
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
}

.PortfolioLink.danish, .AllSkillsLink.danish{
    /*opacity: 0;
    display: none;*/
    opacity: 1;
    display: none;
}

/** Fade bubble in and out with keyframes **/
@keyframes fadeInOut{
    0%   {opacity: 0; display: block;}
    25%  {opacity: 1;}
    50%  {opacity: 1;}
    80%  {opacity: 1;}
    100% {opacity: 0; display: none;}
}
@keyframes fadeIn{
    0%   {opacity: 0;}
    100% {opacity: 1;}
}
.profiletooltip{
    display: block;
    animation: fadeInOut 5s linear 3s;
    animation-fill-mode: forwards;
}
.frontpageContainer{
    opacity: 0;
    animation: fadeIn 1s linear 1s;
    animation-fill-mode: forwards;
    /*background: linear-gradient(to bottom, rgba(100,255,100,.2), rgba(100,255,255,.2));*/
    opacity: 1;
}
.section1{
  /*background: linear-gradient(to bottom, rgba(100,255,100,.2), rgba(100,255,255,.2));*/
  background: linear-gradient(to bottom, rgba(100,255,100,.2), rgba(119, 100, 255, 0.2));
  margin-left: -5px;
  margin-right: -5px;
  margin-top: 39px;
}
.section2{
  /*background: linear-gradient(to bottom, rgba(100,255,255,.2), rgba(255, 150, 100, 0.2));*/
  background: linear-gradient(to bottom, rgba(119, 100, 255, 0.2), rgba(255, 150, 100, 0.2));
  margin-left: -5px;
  margin-right: -5px;
}
.section3{
  background: linear-gradient(to bottom, rgba(255, 150, 100, 0.2), rgba(255,255,100,.2));
  margin-left: -5px;
  margin-right: -5px;
  margin-top: 10px;
}
.section4{
  background: linear-gradient(to bottom, rgba(255,255,100,.2), rgba(100,255,100,.2));
  margin-left: -5px;
  margin-right: -5px;
  margin-top: 10px;
}

#eflag, #dflag{
    /*margin-right: 10px;*/
    margin-top: 4px;
    
    /* Fade in/out og greyscale */
    
    -webkit-transition: all ease .4s; 
       -moz-transition: all ease .4s;
         -o-transition: all ease .4s;
            transition: all ease .4s;
            
            filter: grayscale(.7);
	-webkit-filter: grayscale(.7);
	-moz-filter: grayscale(.7);
	-o-filter: grayscale(.7);
	-ms-filter: grayscale(.7);
        
        
    
}

#eflag:hover, #dflag:hover{
    
    
    cursor: pointer;
    
    filter: grayscale(0);
	-webkit-filter: grayscale(0);
	-moz-filter: grayscale(0);
	-o-filter: grayscale(0);
	-ms-filter: grayscale(0);
        
    
}

a{
    cursor: pointer;
}

.PortfolioLink{
    font-size: 63px;
    color: white;
    text-shadow: -2px 0 black, 0 2px black, 2px 0 black, 0 -2px black;
    text-decoration: none !important;
    display: block;
    margin-top: 27%;
    /*margin-right: 75px;*/
    width: 240px;

    transform: scale(0.9) rotate(0deg);
    transition: all ease .5s;
}
.PortfolioLink:hover{
    color: #d35400;
    text-shadow: none;

    transform: scale(1.2) rotate(5deg);
}
.AllSkillsLink{
    font-size: 63px;
    color: white;
    text-shadow: -2px 0 black, 0 2px black, 2px 0 black, 0 -2px black;
    text-decoration: none !important;
    display: block;
    margin-top: 27%;
    /*margin-Left: 75px;*/
    width: 240px;

    transform: scale(0.9) rotate(0deg);
    transition: all ease .5s;
}
.AllSkillsLink:hover{
    color: #d35400;
    text-shadow: none;

    transform: scale(1.2) rotate(-5deg);
}

.Face, .mail{
    
    /* Fade in/out og greyscale */
    
       cursor: pointer;
       
       -webkit-filter: grayscale(.7);
       -webkit-transition: all .5s ease-in-out;
        
       -moz-filter: grayscale(.7);
       -moz-transition: all ease .5s;
       
       -o-filter: grayscale(.7);
       -o-transition: all ease .5s;
       
       -ms-filter: grayscale(.7);
       -ms-transition: all ease .5s;
         
        filter: grayscale(.7);
        transition: all ease .5s;
        
}

.IconScaleRotateGray, .IconScaleRotateGray2, .IconScale{
    cursor: pointer;
}

.IconScaleRotateGray{

    -webkit-filter: grayscale(.7);
    -webkit-transition: all .5s ease-in-out;
     
    -moz-filter: grayscale(.7);
    -moz-transition: all ease .5s;
    
    -o-filter: grayscale(.7);
    -o-transition: all ease .5s;
    
    -ms-filter: grayscale(.7);
    -ms-transition: all ease .5s;
      
     filter: grayscale(.7);
     transition: all ease .5s;

     transform: scale(0.9) rotate(0deg);
     transition: all ease .5s;

}
.IconScaleRotateGray:hover{

    transform: scale(1.2) rotate(-15deg);
    transition: all ease .5s;
    filter: grayscale(0);
	-webkit-filter: grayscale(0);
	-moz-filter: grayscale(0);
	-o-filter: grayscale(0);
	-ms-filter: grayscale(0);
    
}
.IconScaleRotateGray2{

    -webkit-filter: grayscale(.7);
    -webkit-transition: all .5s ease-in-out;
     
    -moz-filter: grayscale(.7);
    -moz-transition: all ease .5s;
    
    -o-filter: grayscale(.7);
    -o-transition: all ease .5s;
    
    -ms-filter: grayscale(.7);
    -ms-transition: all ease .5s;
      
     filter: grayscale(.7);
     transition: all ease .5s;

     transform: scale(0.9) rotate(0deg);
     transition: all ease .5s;

}
.IconScaleRotateGray2:hover{

    transform: scale(1.2) rotate(15deg);
    transition: all ease .5s;
    filter: grayscale(0);
	-webkit-filter: grayscale(0);
	-moz-filter: grayscale(0);
	-o-filter: grayscale(0);
	-ms-filter: grayscale(0);
    
}

.IconScale{

    transform: scale(0.9) rotate(0deg);
    transition: all ease .5s;

}
.IconScale:hover{

    transform: scale(1.2) rotate(0deg);
    transition: all ease .5s;
    
}

.fullstackicon{
  transform: scale(0.9) rotate(0deg);
  transition: all ease .5s;
  filter: grayscale(0.8);
  /* z-index: 2; */
  position: relative;
}
.fullstackicon:hover{
  transform: scale(1.2) rotate(360deg);
  filter: grayscale(0);
}


.notlearnedicon{
  transform: scale(0.9) rotate(0deg);
  transition: all ease .5s;
  filter: grayscale(0.9) blur(.2em);
}
.notlearnedicon:hover{
  transform: scale(0.9) rotate(0);
  filter: grayscale(1) blur(.4em);
}

.tooltip1:has(.fullstackicon:hover){
  transform: translateY(-20px);
}

.tooltip1{
        width: 128px;
        /*margin: auto;*/
        display: inline-block;
        transition: all ease .5s;
}

  .topskillsContainer {
    min-height: 199px;
    margin-top: -10px;

    margin-top: -59px;
    min-height: 243px;
  }

  .topskillsContainer .tooltip1 p{
    z-index: 1;
    position: relative;
  }
  .topskillsContainer .tooltip1 img{
    z-index: 2;
    position: relative;
  }
  .topskillsContainer .tooltip1:hover img{
    z-index: 3;
  }
  .tooltip1:hover{
    z-index: 3;
  }

  
  .topskillsContainer .tooltip1:has(p:hover){
    margin-top: 245px !important;
  }
  .topskillsContainer .tooltip1:has(p:hover) .fullstackicon{
    transform: scale(1.2) rotate(360deg);
    filter: grayscale(0);
  }
  .topskillsContainer .tooltip1:has(.fullstacktooltiptext:hover){
    margin-top: 245px !important;
  }
  .tooltip1:has(.tooltiptext1:hover) .fullstackicon{
    transform: scale(1.2) rotate(360deg);
    filter: grayscale(0);
  }

  .skillLabel {
    color: white;
    text-shadow: -2px 0 black, 0 2px black, 2px 0 black, 0 -2px black;
    text-decoration: none !important;
    margin: 0;
    padding: 0;
    margin-bottom: 5px;
    /*margin-top: 5px;*/
    margin-bottom: 10px;
    transition: all ease .5s;
    /* opacity: 1;
    height: 25px; */
    margin-bottom: 0px;

  }
  .skillLabel.topLabel {
    /*margin-top: -60px;*/
    opacity: 1;
  }
  .skillLabel.bottomLabel {
    margin-top: -60px !important;
    opacity: 0;

    margin-top: -106px !important;
  }

  .tooltip1:hover > .skillLabel {
    /* opacity: 0;
    height: 0; */
    margin-bottom: -52px;
    margin-top: 24px !important;
    margin-top: 10px !important;
  }
  
  .tooltip1:hover > .bottomLabel {
    opacity: 1;
  }

  .tooltip1:hover > .topLabel {
    opacity: 0;
    margin-bottom: -70px;
    margin-bottom: -163px;

    margin-bottom: -184px;

    margin-bottom: -264px;
    
    margin-bottom: -340px; /*setup2*/

    margin-bottom: -189px; /*setup1*/
  }
  .topskillsContainer > .tooltip1:hover{
    margin-top: 117px;
    
    margin-top: 199px; /*setup2*/

    margin-top: 89px; /*setup1*/

    margin-top: 147px; /*setup1b*/
  }
  .topskillsContainer .fullstackicon:hover{
    margin-top: 234px; /*setup2*/

    margin-top: 94px; /*setup1*/
  }



  /* Tooltip text */
  .tooltip1 .tooltiptext1 {
    visibility: hidden;
    width: 256px;
    background-color: black;
    color: #fff;
    text-align: center;
    padding: 5px 0;
    border-radius: 6px;
   
    /* Position the tooltip text - see examples below! */
    position: absolute;
    z-index: 1;

    height: 256px;
    opacity: 0;
    transition: all .65s ease;

    background: url(../billeder/mybubblex2ny.png);
    transform: scale(0);
  }
  .tooltip1 .lefticon{
    margin-top: -230px;
    margin-left: -95px;
  }
  .tooltip1:hover .lefticon{
    margin-top: -377px;
    margin-left: -240px;
  }
  .tooltip1 .tooltiptext1.lefticon p{
    margin-top: 59px;
  }
  .tooltip1 .tooltiptext1.lefticon{
    
  }
  .tooltip1 .tooltiptext1.middleicon{
    height: 307px;
    margin-top: -267px;
    margin-left: -64px;
    background: url(../billeder/mybubbleup2ny.png);
  }
  .tooltip1:hover .tooltiptext1.middleicon{
    margin-top: -453px !important;
    margin-left: -64px;
  }
  .tooltip1 .tooltiptext1.righticon{
    height: 256px;
    margin-top: -230px;
    margin-left: -33px;
    background: url(../billeder/mybubblexrv2ny.png);
  }

  .topskillsContainer .tooltip1 .tooltoptext1 {
    margin-top: -159px;
    margin-left: -63px;
  }
  .topskillsContainer .tooltip1 .tooltiptext1.middleicon {
    margin-top: -191px;
    margin-top: -160px;
  }
  .topskillsContainer .tooltip1 .tooltiptext1.righticon {
    margin-top: -159px;
    margin-top: -136px;
  }
  .topskillsContainer .tooltip1 .tooltiptext1.lefticon {
    margin-top: -159px;
    margin-top: -136px;
  }
  .topskillsContainer .tooltip1 .tooltoptext1 {
    margin-top: -159px;
    margin-left: -63px;
  }
  .topskillsContainer .tooltip1 .tooltiptext1.middleicon:hover {
    margin-top: -191px;
  }
  .topskillsContainer .tooltip1 .tooltiptext1.righticon:hover {
    margin-top: -159px;
    margin-top: -377px
  }
  .topskillsContainer .tooltip1:hover .tooltiptext1.lefticon {
    margin-top: -377px !important;
  }
  

  .tooltip1:hover .tooltiptext1.righticon{
    margin-top: -377px;
    margin-left: 112px;
  }
  .tooltip1 .tooltiptext1.leftxicon{
    height: 197px;
    width: 344px;
    margin-top: -175px;
    margin-left: -155px;
    background: url(../billeder/mybubblexlvxny.png);
  }
  .tooltip1:hover .tooltiptext1.leftxicon{
    margin-top: -244px;
    margin-left: -358px;
  }
  .tooltip1 .tooltiptext1.rightxicon{
    height: 197px;
    width: 344px;
    margin-top: -175px;
    margin-left: -60px;
    background: url(../billeder/mybubblexrvxny.png);
  }
  .tooltip1:hover .tooltiptext1.rightxicon{
    margin-top: -244px;
    margin-left: 143px;
  }
  
  .tooltip1 .tooltiptext1 p{
    margin-top: 72px;
    margin-left: 48px;
    width: 152px;
    height: 64px;

    color: black;
    /*color: white !important;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black !important;*/
  }
  .tooltip1 .tooltiptext1.unitytooltip p{
    margin-top: 78px;
    margin-left: 47px;
    width: 152px;
    height: 64px;
    margin-top: 70px;
    margin-left: 56px;
  }

  .tooltip1 .tooltiptext1.unitytooltipog p{
    margin-top: 55px !important;
    margin-left: 50px !important;
  }
  .tooltip1 .tooltiptext1.csharptooltip p{
    margin-top: 55px !important;
  }
  .tooltip1 .tooltiptext1.dotnettooltip p{
    margin-top: 50px !important;
    margin-left: 55px !important;
  }
  .tooltip1 .tooltiptext1.dotnettooltip p.danish{
    margin-top: 37px !important;
  }

  .tooltip1 .tooltiptext1.photoshopicon p{
    margin-top: 37px;
    margin-left: 54px;
  }
  .tooltip1 .tooltiptext1.csharpicon p{
    margin-top: 47px;
    margin-left: 54px;
  }
  .tooltip1 .tooltiptext1.reacticon p{
    margin-top: 45px;
    margin-left: 53px;
    width: 154px;
  }
  .tooltip1 .tooltiptext1.unitytooltip.aftereffectsicon p{
    margin-top: 47px !important;
    margin-left: 50px;
  }
  .tooltip1 .tooltiptext1.unitytooltip.aftereffectsicon p.danish{
    margin-top: 52px !important;
  }
  .tooltip1 .tooltiptext1.unitytooltip.unityicon p{
    margin-top: 28px;
    margin-left: 48px;
  }
  .tooltip1 .tooltiptext1.unitytooltip.unityicon p.danish{
    margin-top: 47px;
    margin-left: 53px;
  }
  .tooltip1 .tooltiptext1.unitytooltip.webstackicon p{
    margin-top: 41px;
    margin-left: 50px;
  }
  .tooltip1 .tooltiptext1.unitytooltip.webstackicon p.danish{
    margin-top: 67px !important;
  }
  .tooltip1 .tooltiptext1.unitytooltip.middleicon p{
    margin-top: 41px;
    /*margin-left: 50px;*/
  }
  .tooltip1 .tooltiptext1.unitytooltip.middleicon p.danish{
    margin-top: 51px;
    /*margin-left: 50px;*/
  }
  .tooltip1 .tooltiptext1.unitytooltip.giticon p{
    margin-top: 90px;
    margin-left: 48px;
  }
  .tooltip1 .tooltiptext1.unitytooltip.uruxuiicon p{
    margin-top: 67px;
    margin-left: 48px;
  }
  .tooltip1 .tooltiptext1.unitytooltip.dataicon p{
    margin-top: 62px;
    margin-left: 48px;
  }
  .tooltip1 .tooltiptext1.unitytooltip.audacityicon p{
    margin-top: -19px;
    margin-left: 49px;
  }
  .tooltip1 .tooltiptext1.unitytooltip.blendericon p{
    margin-top: 49px;
    margin-left: 49px;
  }
  .tooltip1 .tooltiptext1.unitytooltip.neticon p{
    margin-top: 50px;
    margin-left: 53px;
  }
  .tooltip1 .tooltiptext1.unitytooltip.blazoricon p{
    margin-top: 45px;
    margin-left: 61px;
  }
  .tooltip1 .tooltiptext1.unitytooltip.devopsicon p, 
  div div .tooltip1 .tooltiptext1.unitytooltip.devopsicon p.danish{
    margin-top: 40px;
    margin-left: 53px;
  }
  div div .tooltip1 .tooltiptext1.unitytooltip.azureicon p.english,
  div div .tooltip1 .tooltiptext1.unitytooltip.azureicon p.danish{
    margin-top: 48px;
    margin-left: 53px;
  }

  .tooltip1 .tooltiptext1.unitytooltip.sqlservericon p.danish,
  .tooltip1 .tooltiptext1.unitytooltip.sqlservericon p.english{
    margin-top: 56px;
  }

  .tooltip1 .tooltiptext1.unitytooltip.nosqlservericon p.danish,
  .tooltip1 .tooltiptext1.unitytooltip.nosqlservericon p.english{
    margin-top: 75px;
  }

  div div .tooltip1 .tooltiptext1.unitytooltip.dockericon p.english,
  div div .tooltip1 .tooltiptext1.unitytooltip.dockericon p.danish{
    margin-top: 60px;
    margin-left: 53px;
  }
  .tooltip1 .tooltiptext1.unitytooltip.terraformicon p.danish,
  .tooltip1 .tooltiptext1.unitytooltip.terraformicon p.english{
    margin-top: 64px;
    margin-left: 53px;
  }
  .tooltip1 .tooltiptext1.unitytooltip.powershellicon p.danish,
  .tooltip1 .tooltiptext1.unitytooltip.powershellicon p.english{
    margin-top: 56px;
    margin-left: 53px;
  }

  .tooltip1 .tooltiptext1.unitytooltip.neticon p.danish{
    margin-top: 28px;
  }
  .tooltip1 .tooltiptext1.unitytooltip.versioncontrolicon p{
    margin-top: 34px;
    margin-left: 49px;
  }
  .tooltip1 .tooltiptext1.unitytooltip.versioncontrolicon p.danish{
    margin-top: 34px;
  }
  
  .tooltip1 .tooltiptext1.githubtooltip p{
    margin-top: 72px;
    color: black;
    margin-left: 51px;
    width: 152px;
    height: 64px;
  }
  .tooltip1 .tooltiptext1.photoshoptooltip p{
    margin-top: 58px;
    color: black;
    margin-left: 50px;
    width: 152px;
    height: 64px;
  }
  .tooltip1 .tooltiptext1.webstacktooltip p{
    margin-top: 66px;
    color: black;
    margin-left: 48px;
    width: 152px;
    height: 64px;
  }
  .tooltip1 .tooltiptext1.aftereffectstooltip p{
    margin-top: 62px;
    color: black;
    margin-left: 51px;
    width: 152px;
    height: 64px;
  }
  .tooltip1 .tooltiptext1.rightxicon p{
    margin-top: 77px;
    color: black;
    margin-left: 139px;
    width: 152px;
    height: 64px;
  }

  .tooltip1.profilepic{
    width: auto;
    margin-top: 5px;
  }
  .tooltip1.profilepic .tooltiptext1{
    visibility: visible;
    transform: scale(1);
    margin-top: -529px;
    margin-left: -336px;
    opacity: 0;

    width: 384px;
    height: 279px;

    background: url(../billeder/mybubblebig2ny.png);
    transform: scale(1);
  }
  .tooltip1.profilepic .tooltiptext1 p{
    margin-top: 106px;
    font-size: 40px;
    margin-left: 65px;
    width: 213px;
    height: 64px;
    margin-bottom: 103px;
    margin-right: 65px;
  }
  
  /* Show the tooltip text when you mouse over the tooltip container */
  .tooltip1:hover .tooltiptext1 {
    visibility: visible;
    opacity: 1;
    transform: scale(1);
  }
  .tooltip1.profilepic:hover .tooltiptext1 {
    opacity: 0;
    transform: scale(1);
  }

  /* start fade */
  .frontpageContainer{
      opacity: 0;
      padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    margin-bottom: 10px;
  }

.mail:hover, .Face:hover{
    
    filter: grayscale(0);
	-webkit-filter: grayscale(0);
	-moz-filter: grayscale(0);
	-o-filter: grayscale(0);
	-ms-filter: grayscale(0);
}

/* Opgaver */

iframe{
    margin: 0;
    width: 100%;
}